@import url('https://fonts.googleapis.com/css?family=Oswald|Rambla|Staatliches&display=swap');

body{
    margin: 0;
    padding: 0;
}

ul {
  list-style: none; /* Remove default bullets */
}

ul li::before {
  content: "\2022";  /* Add content: \2022 is the CSS Code/unicode for a bullet */
  color: red; /* Change the color */
  font-weight: bold; /* If you want it to be bold */
  display: inline-block; /* Needed to add space between the bullet and the text */
  width: 1em; /* Also needed for space (tweak if needed) */
  margin-left: -1em; /* Also needed for space (tweak if needed) */
}

:root{
    --color-black: #000000;
    --color-white: #ffffff;
    --color-border: #ffffff34;
    --font-staat: 'Staatliches', cursive;
    --font-os:  'Oswald', sans-serif;
    --font-ram: 'Rambla', sans-serif;
}

/* global classes */
.font-staat{
    font: normal 400 18px var(--font-staat);
}
.font-os{
    font: normal 300 18px var(--font-os);
}
.font-ram{
    font: normal bold 18px var(--font-ram);
}

.font-size-40{
    font-size: 40px;
}
.font-size-34{
    font-size: 34px;
}
.font-size-27{
    font-size: 27px;
}
.font-size-20{
    font-size: 20px;
}
.font-size-16{
    font-size: 16px;
}

.bgcolor-black{
    background-color: var(--color-black);
}

/* #global classes */

#header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index:1;
    transition: left .5s ease;
}
.nav {

    display:flex;
    justify-content: center;
}

#header nav{
    height: 100vh;

}
#header .site-title .navbar-brand{
    letter-spacing: 2px;
    color: var(--color-white);
}

#header .nav-link{
    margin: .7rem 1rem;
    border-bottom: 1px solid var(--color-border);
    text-transform: uppercase;

}

#header .nav-link:hover{
    color: var(--color-white) !important;
}

#header .toggle-button{
    background: none;
    color: var(--color-black-50);
    position: fixed;
    top: 25px;
    right: 20px;
    border: 1px solid var(--color-border);
}

.toggle-left{
    left: 0 !important;
    width: 1000px !important;
}

/* site-main */

.site-banner .banner-area{
    /* background: url(./bgsrc/pan.pg) no-repeat; */
    background-size: cover;
    width: 100%;
    height: 100vh;
    position: relative;
}

.site-banner .banner-area .author{
    margin: 0;
    position: absolute;
    /* top: 45%; */
    top: 45%;

    left: 50%;
    transform: translate(-50%, -50%);
}

 /* introduction header opacity */
.me {
  opacity: 0.5;
}


 /* projects header opacuty */
.do {
  opacity: 0.5;
}

.exp {
  opacity: 0.5;
}

.skills {
  opacity: 0.5;
}


.about .img-fluid{
    /* position: relative;
    max-width: 100%;
    max-height: 100%; */
    width: 250px;
    height: 250px;
    padding-top: 250px;

    border-radius: 50%;
    margin: auto;
    background: url(../bgsrc/profile.png) no-repeat;
    background-size: 180%;
    background-position: 45% 0;
    opacity: 0.8;
}
/* 
.skill .bars p, .site-content .skill .bars span{
    line-height: 10px;
} */

#footer form .row .col input[type="text"],
#footer form .row .col input[type="email"],
#footer form textarea{
    border: none;
    border-radius: 0;
    border-bottom: 1px solid gray;
    padding: 1.5rem 1rem;
}

@media screen and (min-width: 768px){
    .toggle-button{
        display: none;
    }
    #header{
        z-index:0;
    }
}